SYSCTL(8)

NAZWA
sysctl - konfiguracja parametrów jądra w czasie działania

SKŁADNIA
sysctl [opcje] [zmienna[=wartość]] [...]
sysctl -p [plik lub wyrażenie_regularne] [...]

OPIS
sysctl służy do modyfikowania parametrów jądra w czasie działania. Dostępne parametry to te, które są w /proc/sys/. Do obsługi sysctl pod Linuksem wymagany jest procfs. Program sysctl może być używany do odczytu i zapisu danych sysctl.

PARAMETRY

zmienna
    Nazwa klucza, z którego mają być odczytane dane, na przykład kernel.ostype. Akceptowany jest także separator '/' zamiast '.'.

zmienna=wartość
    Aby ustawić klucz, należy użyć formy zmienna=wartość, gdzie zmienna to klucz, a wartość wartość, na jaką klucz ma być ustawiony. Jeśli wartość zawiera apostrofy lub znaki, które są przetwarzane przez powłokę, może być potrzeba ujęcia wartości w cudzysłowy.

-n, --values
    Ta opcja wyłącza wypisywanie nazwy klucza przy wypisywaniu wartości.

-e, --ignore
    Ta opcja powoduje ignorowanie błędów przy nieznanych kluczach.

-N, --names
    Ta opcja powoduje wypisywanie samych nazw. Może być przydatna dla powłok z programowalnym dopełnianiem.

-q, --quiet
    Ta opcja powoduje niewyświetlanie ustawianych wartości na standardowym wyjściu.

-w, --write
    Należy użyć tej opcji, kiedy wszystkie argumenty oznaczają ustawienie klucza.

-p[PLIK], --load[=PLIK]
    Wczytanie ustawień sysctl z podanego pliku lub /etc/sysctl.conf, jeśli nie podano pliku. Podanie - jako nazwy pliku oznacza odczyt danych ze standardowego wejścia. Użycie tej opcji oznacza, że argumenty sysctl są plikami, które będą czytane w kolejności podania. Argument plikowy może być też podany jako wyrażenie regularne.

-a, --all
    Wyświetlenie wszystkie aktualnie dostępnych wartości.

--deprecated
    Dołączenie do listy wartości --all parametrów przestarzałych.

-b, --binary
    Wypisanie wartości bez nowej linii.

--system
    Wczytanie ustawień ze wszystkich systemowych plików konfiguracyjnych. Pliki są czytane z katalogów z następującej listy w podanej kolejności od góry do dołu. Po wczytaniu danego pliku, plik o tej samej nazwie w dalszych katalogach jest ignorowany.
    /etc/sysctl.d/*.conf
    /run/sysctl.d/*.conf
    /usr/local/lib/sysctl.d/*.conf
    /usr/lib/sysctl.d/*.conf
    /lib/sysctl.d/*.conf
    /etc/sysctl.conf

-r, --pattern wzorzec
    Naniesienie wyłącznie ustawień pasujących do wzorca. wzorzec wykorzystuje składnię rozszerzonych wyrażeń regularnych.

-A  Alias dla -a

-d  Alias dla -h

-f  Alias dla -p

-X  Alias dla -a

-o  Nic nie robi, istnieje dla zgodności z BSD.

-x  Nic nie robi, istnieje dla zgodności z BSD.

-h, --help
    Wyświetlenie tekstu pomocy i zakończenie.

-V, --version
    Wyświetlenie informacji o wersji i zakończenie.

PRZYKŁADY
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --system --pattern '^net.ipv6'

PARAMETRY PRZESTARZAŁE
The base_reachable_time and retrans_time are deprecated. The sysctl command does not allow changing values of these parameters. Users who insist to use deprecated kernel interfaces should push values to /proc file system by other means. For example:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

PLIKI
/proc/sys
/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

ZOBACZ TAKŻE
sysctl.conf(5) regex(7)

AUTOR
George Staikos (staikos@0wned.org)

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów prosimy wysyłać na adres procps@freelists.org